Name:		audex
Version:	0.47dev
Release:	alt1.qa1
Summary:	Audex is a new audio grabber tool for CD/DVD drives
Source0:	%name-%version.tar.gz
Source1:	%name-%version.pro
Source2:	%name.desktop
Source3:	audex_example_profile.tar.bz2
Source4:	audex_html_doc.tar.bz2
Url:		http://www.anyaudio.de/audex/
Group:		Sound
License:	GPLv2/LGPLv2.1
Packager:	Alex Karpov <karpov@altlinux.ru>

# Automatically added by buildreq on Sat Oct 27 2007 (-bi)
BuildRequires: ImageMagick gcc-c++ libcdparanoia-devel libqt4-devel libqt4-network libqt4-sql

%description
Audex is a new audio grabber tool for CD-ROM drives based
on the application development framework Qt 4 (4.3.x). Archival
functions of the extended database mode are in the focus by now.
Several people can use audex to extract their audio cds and sync
metadata with a single sql database. Every time someone wants to
extract an audio cd that still exists in the database audex will
deny extracting. In normal mode audex behaves just like every cdda
extractor.
 
 Some more features:
 - Extracting with CDDA Paranoia. So you have quite perfect audio quality.
 - Extracting and encoding run parallel.
 - Filename editing with local and remote CDDB/FreeDB database.
 - Submit new entries to CDDB/FreeDB database.
 - Metadata correction tools like capitalize etc.
 - Multi-profile extraction (with one commandline-encoder per profile).
 - Synchronisation of metadata and even covers with MySQL/PostgreSQL/Firebird-Databases (e.g. explore it with a PHP-webinterface).
 - Fetch covers from amazon and store them in the database.
 - Create playlists and cover files in target directory.
 - Correct handling of samplers und multi-cd-albums.
 - Creates extraction and encoding protocols.
 - Proxy settings.

%prep
%setup -q

%build
cp %SOURCE1 ./%name.pro
export PATH=$PATH:%_qt4dir/bin
qmake "QMAKE_CFLAGS+=%optflags" "QMAKE_CXXFLAGS+=%optflags" %name.pro
%make_build

%install
%__install -Dp -m 0755 %name %buildroot%_bindir/%name

# doc & examples
cp {%SOURCE3,%SOURCE4} ./

# icons
%__mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}
convert -resize 48x48 images/%name.png %buildroot%_liconsdir/%name.png
convert -resize 32x32 images/%name.png %buildroot%_niconsdir/%name.png
convert -resize 16x16 images/%name.png %buildroot%_miconsdir/%name.png

# menu
%__install -Dp -m 0644 %SOURCE2 %buildroot%_desktopdir/%name.desktop

%files
%doc LICENSE README images/license.txt audex*
%_bindir/%name
%_iconsdir/hicolor/*/apps/%name.png
%_desktopdir/%name.desktop

%changelog
* Tue Nov 10 2009 Repocop Q. A. Robot <repocop@altlinux.org> 0.47dev-alt1.qa1
- NMU (by repocop): the following fixes applied:
  * update_menus for audex
  * postclean-05-filetriggers for spec file

* Tue Dec 11 2007 Alex Karpov <karpov@altlinux.ru> 0.47dev-alt1
- new development version

* Thu Nov 29 2007 Alex Karpov <karpov@altlinux.ru> 0.46b-alt1
- first build for ALT Linux Sisyphus

* Sat Oct 27 2007 Motsyo Gennadi <drool@altlinux.ru> 0.46b-alt0
- initial build for ALT Linux
